import { connect } from "mongoose";

import {
    PaginateWapServerParams,
    PaginateWapServerResults,
} from "../../../Models/WapServer/WapServer.Interface";
import WapServerList from "../../../Models/WapServer/WapServer";

export class SA_WapServerService {
    public async sysAdminGetWapServers(data: PaginateWapServerParams): Promise<PaginateWapServerResults> {
        await connect(`${process.env.DATABASE_CONNECTION}`);
        return await WapServerList.sysAdminGetWapServers(data);
    }
}
